Package org.eclipse.cdt.core.templateengine.process

# Class ProcessParameter

java.lang.Object
org.eclipse.cdt.core.templateengine.process.ProcessParameter

public class ProcessParameter extends Object
ProcessParameter is responsible for construting the Process Parameter the given configuration element.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final byte`
`COMPLEX`
`static final byte`
`COMPLEX_ARRAY`
`static final byte`
`SIMPLE`
`static final byte`
`SIMPLE_ARRAY`

## Constructor Summary

Constructors
Constructor
Description
`ProcessParameter(org.eclipse.core.runtime.IConfigurationElement element)`
Constructor to extract the parameter info.

## Method Summary

Modifier and Type
Method
Description
`ProcessParameter[]`
`getComplexChildren()`
`String`
`getName()`
Return the Element name.
`byte`
`getType()`
Returns the Element Type.
`boolean`
`isExternal()`
Checks whether the element in external.
`boolean`
`isNullable()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### SIMPLE

public static final byte SIMPLE

See Also:
  - Constant Field Values

### SIMPLE_ARRAY

public static final byte SIMPLE_ARRAY

See Also:
  - Constant Field Values

### COMPLEX

public static final byte COMPLEX

See Also:
  - Constant Field Values

### COMPLEX_ARRAY

public static final byte COMPLEX_ARRAY

See Also:
  - Constant Field Values

## Constructor Details

### ProcessParameter

public ProcessParameter(org.eclipse.core.runtime.IConfigurationElement element)
Constructor to extract the parameter info.

Parameters:
  `element` -

## Method Details

### getName

public String getName()
Return the Element name.

### getType

public byte getType()
Returns the Element Type.

### getComplexChildren

public ProcessParameter[] getComplexChildren()

Returns:
  the complexChildren

### isExternal

public boolean isExternal()
Checks whether the element in external.

### isNullable

public boolean isNullable()

Returns:
  the nullable